Product part
A Product Part represents an individual SKU of a given product. A Product Part exists for each specific combination of product attributes, such as size and color.
Getting Product Parts
Product Parts are accessible through the API on the following endpoint:
GET https://api.safsira.com/v1/products/{id}/partsℹ️
Note: For full details, such as imprint location coordinates, please use this endpoint with the undocumented URL parameter ?expand=media_contents,imprint_areas.
Getting a specific Product Part by id
You can also get a specific Product Part by its id:
GET https://api.safsira.com/v1/products/{id}/partsGetting a specific Product Part by its attributes
You can get a specific Product Part by using the desired product attributes as query parameters:
GET https://api.safsira.com/v1/products/{id}/parts?attribute1=value1&attribute2=value2The previous call will return the part (or parts) that have attribute1 with value1 and attribute2 with value2.